> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.doctorassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultation events

> Server-Sent Events (SSE) endpoint to receive real-time updates about the consultation



## OpenAPI

````yaml docs/en/openapi.yaml get /consultations/{DAAI_CONSULTATION_ID}/events
openapi: 3.1.0
info:
  title: DAAI - APIS
  version: 1.0.0
servers:
  - url: https://apim.doctorassistant.ai/api/sandbox
security:
  - ApiKeyAuth: []
tags:
  - name: Consultations
  - name: Exams
  - name: Summaries
paths:
  /consultations/{DAAI_CONSULTATION_ID}/events:
    get:
      tags:
        - Consultations
      summary: Consultation events
      description: >-
        Server-Sent Events (SSE) endpoint to receive real-time updates about the
        consultation
      parameters:
        - name: DAAI_CONSULTATION_ID
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Event stream established successfully
          content:
            text/event-stream:
              schema:
                type: object
                properties:
                  event:
                    type: string
                    description: Event type
                    enum:
                      - consultation.in-progress
                      - consultation.completed
                      - consultation.integrated
                    example: consultation.integrated
                required:
                  - event
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
                  statusCode:
                    type: integer
                    example: 401
                required:
                  - message
                  - statusCode
        '404':
          description: Consultation not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Consultation not found
                  error:
                    type: string
                    description: Error type
                    example: Not Found
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 404
                required:
                  - message
                  - error
                  - statusCode
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-daai-api-key
      description: API key for authentication

````